%global enable_tests 1
%global srcname entities
Name:                nodejs-%{srcname}
Version:             1.1.1
Release:             2
Summary:             Encode & decode XML/HTML entities with ease
License:             BSD-2-Clause
URL:                 https://github.com/fb55/node-entities
Source0:             http://registry.npmjs.org/entities/-/entities-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules/

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js lib/ maps/ %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Tue May 10 2022 liyanan <liyanan32@h-partners.com> - 1.1.1-2
- License compliance rectification

* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 1.1.1-1
- Package init
